#! /usr/bin/perl -w

use strict;
use Encode;

while (<>) {
    chomp;
    $_ = Encode::encode('utf-8', Encode::decode('latin-1', $_));
    my ($code1, $code2, $code3, $ename, $fname, $rest) = split /\|/;
    die "Bad input" if defined $rest or not defined $fname;
    print join('/', grep !/^$/, $code1, $code2, $code3), ": $ename / $fname\n";
}
